__gnu_parallel::__generate_selector< _It >(3)

NAME
__gnu_parallel::__generate_selector< _It > - std::generate() selector.

SYNOPSIS

Inherits __gnu_parallel::__generic_for_each_selector< _It >.

  Public Member Functions
template<typename _Op > bool operator() (_Op &__o, _It __i)
Functor execution.

  Public Attributes
_It _M_finish_iterator
_Iterator on last element processed; needed for some algorithms (e. g. std::transform()).

Detailed Description

  template<typename _It>
struct __gnu_parallel::__generate_selector< _It >" std::generate() selector.

Definition at line 68 of file for_each_selectors.h.

Member Function Documentation

  template<typename _It > template<typename _Op > bool __gnu_parallel::__generate_selector< _It >::operator() (_Op & __o, _It __i) [inline]

Functor execution.

Parameters
    __o Operator.
    __i iterator referencing object.

Definition at line 75 of file for_each_selectors.h.

Member Data Documentation

  template<typename _It > _It __gnu_parallel::__generic_for_each_selector< _It >::_M_finish_iterator [inherited]

_Iterator on last element processed; needed for some algorithms (e. g. std::transform()).

Definition at line 47 of file for_each_selectors.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.